Index: tests/io/manipulatorsInput.cfa
===================================================================
--- tests/io/manipulatorsInput.cfa	(revision 57642041c538414290a29b6bd480fd0449762f63)
+++ tests/io/manipulatorsInput.cfa	(revision baa1d5dcfe059fec982d2f0351950afe46056e2a)
@@ -7,6 +7,6 @@
 // Created On       : Sat Jun  8 17:58:54 2019
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Wed Jan 24 18:36:32 2024
-// Update Count     : 104
+// Last Modified On : Sat Jan 27 18:47:42 2024
+// Update Count     : 122
 // 
 
@@ -55,43 +55,56 @@
 	}
 	{
-		char s[] = "yyyyyyyyyyyyyyyyyyyy";                                                     // Input characters consumed:
+		char s[] = "yyyyyyyyyyyyyyyyyyyy";													// Input characters consumed:
 		const char sk_fmt[] = "%*[abc]";
-		scanf( "abc " ); scanf( sk_fmt ); for ( 5 ) scanf( "%*c" ); printf( "1 %s\n", s );     // |abc |\ncccccb| \nxx\n|
-		scanf( "%s", s );								printf( "2 %s\n", s );                 // |abcxxx|
-		scanf( "%*s" );									printf( "3 %s\n", s );                 // |\nabcyyy|
-		scanf( "%8s", s );								printf( "4 %s\n", s );                 // |\naaaaaaaa|
-		scanf( "%*8s" );								printf( "5 %s\n", s );                 // |xxxxxxxx|
-
-		scanf( "%[abc]", s );							printf( "6 %s\n", s );                 // |aabbccbb|
-		scanf( "%[^abc]", s );							printf( "7 %s\n", s );                 // |dddwww|
-		scanf( "%*[abc]" );								printf( "8 %s\n", s );                 // |bbbbbbbb|
-		scanf( "%*[^abc]" );							printf( "9 %s\n", s );                 // |wwwwwwww|
-		scanf( "%8[abc]", s );							printf( "10 %s\n", s );                // |aaaaaaaa|
-		scanf( "%8[^abc]", s );							printf( "11 %s\n", s );                // |wwwwwwww|
-		scanf( "%*8[abc]" );							printf( "12 %s\n", s );                // |aaaaaaaa|
-		scanf( "%*8[^abc]" );							printf( "13 %s\n", s );                // |wwwwwwww|
-		scanf( "\n" );									// must start next line                // |\n|
+		scanf( "abc " ); scanf( sk_fmt ); for ( 5 ) scanf( "%*c" ); printf( "1 %s\n", s );	// |abc |\ncccccb| \nxx\n|
+		scanf( "%s", s );								printf( "2 %s\n", s );				// |abcxxx|
+		scanf( "%*s" );									printf( "3 %s\n", s );				// |\nabcyyy|
+		scanf( "%8s", s );								printf( "4 %s\n", s );				// |\naaaaaaaa|
+		scanf( "%*8s" );								printf( "5 %s\n", s );				// |xxxxxxxx|
+
+		scanf( "%[abc]", s );							printf( "6 %s\n", s );				// |aabbccbb|
+		scanf( "%[^abc]", s );							printf( "7 %s\n", s );				// |dddwww|
+		scanf( "%*[abc]" );								printf( "8 %s\n", s );				// |bbbbbbbb|
+		scanf( "%*[^abc]" );							printf( "9 %s\n", s );				// |wwwwwwww|
+		scanf( "%8[abc]", s );							printf( "10 %s\n", s );				// |aaaaaaaa|
+		scanf( "%8[^abc]", s );							printf( "11 %s\n", s );				// |wwwwwwww|
+		scanf( "%*8[abc]" );							printf( "12 %s\n", s );				// |aaaaaaaa|
+		scanf( "%*8[^abc]" );							printf( "13 %s\n", s );				// |wwwwwwww|
+		scanf( "\n" );									// must start next line				// |\n|
 
 		int rc;
 		s[0] = 'q'; s[1] = '\0'; rc = 99;
-		rc = scanf( "%[abc]", s );						printf( "14 rc=%d, %s\n", rc, s );     // ||
+		rc = scanf( "%[abc]", s );						printf( "14 rc=%d, %s\n", rc, s );	// ||
 		s[0] = 'q'; s[1] = '\0'; rc = 99;
-		rc = scanf( "%[^u]", s );						printf( "15 rc=%d, %s\n", rc, s );     // ||
-		scanf( "%*[u]\n" );                                                                    // |uuuuu\n|
-		scanf( "%[^\n]\n", s );							printf( "16 %s\n", s );                // |get this line\n|
-		scanf( "%[^%%]%%\n", s );						printf( "17 %s\n", s );                // |@# this line 1)-{}%\n|
-		scanf( "%*[^%%]%%\n", s );						printf( "18 %s\n", s );                // |@# this line 1)-{}%\n|
-
-		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace                   // ||
-		scanf( "\"%[^\"]\"", s );						printf( "19 %s\n", s );                // |"abc"|
-		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace                   // |\n|
-		scanf( "'%[^']'", s );							printf( "20 %s\n", s );                // |'abc  '|
-		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace                   // |\n|
-		scanf( "{%[^}]}", s );							printf( "21 %s\n", s );                // |{ d d\n\nd }|
-		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace                   // |\n|
-		scanf( "X%[^Y]Y", s );							printf( "22 %s\n", s );                // |X		ZC44%Y|
-		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace                   // |\n|
-		scanf( "X%*[^Y]Y", s );							printf( "23 %s\n", s );                // |X		ZC44%Y|
-		scanf( "\n" );									// must start next line                // |\n|
+		rc = scanf( "%[^u]", s );						printf( "15 rc=%d, %s\n", rc, s );	// ||
+		scanf( "%*[u]\n" );																	// |uuuuu\n|
+		scanf( "%[^\n]\n", s );							printf( "16 %s\n", s );				// |get this line\n|
+		scanf( "%[^%%]%%\n", s );						printf( "17 %s\n", s );				// |@# this line 1)-{}%\n|
+		scanf( "%*[^%%]%%\n", s );						printf( "18 %s\n", s );				// |@# this line 1)-{}%\n|
+
+		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace				// ||
+		scanf( "\"%[^\"]\"", s );						printf( "19 %s\n", s );				// |"abc"|
+		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace				// |\n|
+		scanf( "'%[^']'", s );							printf( "20 %s\n", s );				// |'abc  '|
+		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace				// |\n|
+		scanf( "{%[^}]}", s );							printf( "21 %s\n", s );				// |{ d d\n\nd }|
+		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace				// |\n|
+		scanf( "X%[^Y]Y", s );							printf( "22 %s\n", s );				// |X		ZC44%Y|
+		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace				// |\n|
+		scanf( "X%*[^Y]Y", s );							printf( "23 %s\n", s );				// |X		ZC44%Y|
+		scanf( "\n" );									// must start next line				// |\n|
+
+		char ch;
+		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace				// |\n|
+		scanf( "'%c'", &ch );							printf( "24 %c\n", ch );			// |x|
+		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace				// |\n|
+		scanf( "\"%c\"", &ch );							printf( "25 %c\n", ch );			// |x|
+		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace				// |\n|
+		scanf( "{%c}", &ch );							printf( "26 %c\n", ch );			// |x|
+		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace				// |\n|
+		scanf( "X%cY", &ch );							printf( "27 %c\n", ch );			// |x|
+		scanf( "%*[ \f\n\r\t\v]" );						// ignore whitespace				// |\n|
+		scanf( "X%*cY", &ch );							printf( "28 %c\n", ch );			// |x|
+		scanf( "\n" );									// must start next line				// |\n|
 	}
 	{
@@ -128,10 +141,22 @@
 		sin | quoted( wdi( sizeof(s), s ), 'X', 'Y' );	sout | "22" | s;
 		sin | ignore( quoted( wdi( sizeof(s), s ), 'X', 'Y' ) ); sout | "23" | s;
-	}
-    // Keep harmonized with collections/string-istream-manip
+
+		char ch;
+		sin | quoted( ch );								sout | "24 " | ch;
+		sin | quoted( ch, '\"' );						sout | "25 " | ch;
+		sin | quoted( ch, '{', '}' );					sout | "26 " | ch;
+		sin | quoted( ch, 'X', 'Y' );					sout | "27 " | ch;
+		sin | ignore( quoted( ch, 'X', 'Y' ) );			sout | "28 " | ch;
+		sin | "\n";
+	}
+	// Keep harmonized with collections/string-istream-manip
 	{
 		char c;
 		sin | c;										sout | c;
 		sin | ignore( c );								sout | c;
+
+		char ca[3] = { 'a', 'b', 'c' };
+		sin | wdi( 4, (char &)*&ca[0] );					sout | ca[0] | ca[1] | ca[2];
+		sin | ignore( wdi( 4, (char &)*&ca[0] ) );		sout | ca[0] | ca[1] | ca[2];
 
 		signed char sc;
